org.apache.sling.hapi.impl

## Class EmptyAttributeHelperImpl

- java.lang.Object
- - org.apache.sling.hapi.impl.EmptyAttributeHelperImpl

All Implemented Interfaces:
  MicrodataAttributeHelper

    public class EmptyAttributeHelperImpl
    extends Object
    implements MicrodataAttributeHelper

### Constructor Summary

Constructors
Constructor and Description
`EmptyAttributeHelperImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Map<String,String>>` `allItemPropMap()` Get a map of maps with the HTMl attributes for each property of the type defined through a new `MicrodataAttributeHelper`
`Map<String,String>` `allPropTypesMap()` Get a map of types for each type property.
`String` `itemprop(String propName)` Calls `MicrodataAttributeHelper.itemprop(String, boolean)` with 'withType' true
`String` `itemprop(String propName, boolean withType)` Calls `MicrodataAttributeHelper.itempropMap(String, boolean)` and normalizes the map into a String of the form 'attr1="val1" attr2="val2"'
`Map<String,String>` `itempropMap(String propName, boolean withType)` Get a map with the HTMl attributes for the given property of the type defined through a new `MicrodataAttributeHelper`
`String` `itemtype()` Calls `MicrodataAttributeHelper.itemtypeMap()` and normalizes the map into a String of the form 'attr1="val1" attr2="val2"'
`Map<String,String>` `itemtypeMap()` Get a map with the HTMl attributes for a new item of the type defined through a new `MicrodataAttributeHelper` object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyAttributeHelperImpl

    public EmptyAttributeHelperImpl()

### Method Detail

#### itemtype

    public String itemtype()

Description copied from interface: `MicrodataAttributeHelper`
Calls `MicrodataAttributeHelper.itemtypeMap()` and normalizes the map into a String of the form 'attr1="val1" attr2="val2"'

Specified by:
  `itemtype` in interface `MicrodataAttributeHelper`
Returns:

#### itemtypeMap

    public Map<String,String> itemtypeMap()

Description copied from interface: `MicrodataAttributeHelper`
Get a map with the HTMl attributes for a new item of the type defined through a new `MicrodataAttributeHelper` object

The key is the HTMl attribute name and the value is the HTML attribute value

Specified by:
  `itemtypeMap` in interface `MicrodataAttributeHelper`
Returns:

#### itemprop

    public String itemprop(String propName)

Description copied from interface: `MicrodataAttributeHelper`
Calls `MicrodataAttributeHelper.itemprop(String, boolean)` with 'withType' true

Specified by:
  `itemprop` in interface `MicrodataAttributeHelper`
Returns:

#### itemprop

    public String itemprop(String propName,
                           boolean withType)

Description copied from interface: `MicrodataAttributeHelper`
Calls `MicrodataAttributeHelper.itempropMap(String, boolean)` and normalizes the map into a String of the form 'attr1="val1" attr2="val2"'

Specified by:
  `itemprop` in interface `MicrodataAttributeHelper`
Returns:

#### itempropMap

    public Map<String,String> itempropMap(String propName,
                                          boolean withType)

Description copied from interface: `MicrodataAttributeHelper`
Get a map with the HTMl attributes for the given property of the type defined through a new `MicrodataAttributeHelper`

The key is the HTMl attribute name and the value is the HTML attribute value

Will through a `HApiException` runtime exception if the property propName does not exist for the type

Specified by:
  `itempropMap` in interface `MicrodataAttributeHelper`
Parameters:
  `propName` - the name of the property
  `withType` - whether to include the 'itemtype' attribute
Returns:

#### allItemPropMap

    public Map<String,Map<String,String>> allItemPropMap()

Description copied from interface: `MicrodataAttributeHelper`
Get a map of maps with the HTMl attributes for each property of the type defined through a new `MicrodataAttributeHelper`

The key is the property name and the value is a map of attributes like the one returned by `MicrodataAttributeHelper.itempropMap(String, boolean)`

Specified by:
  `allItemPropMap` in interface `MicrodataAttributeHelper`
Returns:

#### allPropTypesMap

    public Map<String,String> allPropTypesMap()

Description copied from interface: `MicrodataAttributeHelper`
Get a map of types for each type property.

The key is the property name and the value is the type path identifier of that property

Specified by:
  `allPropTypesMap` in interface `MicrodataAttributeHelper`
Returns: